DSRW_READ_ARRAY(3)

FUNCTION
dsrw_read_array - Read the binary representation of an array.

SYNOPSIS
#include <karma_dsrw.h>

flag dsrw_read_array

(Channel channel, CONST array_desc *arr_desc, char *element, flag pad)

DESCRIPTION
This routine will read the binary representation of an array from a channel object. The routine will recursively read in array packets.

channel
    The channel object.

arr_desc
    The array descriptor.

element
    The array pointer will be written here.

pad If TRUE the array will be padded on a selected boundary (this is the case when reading .kf files).

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/